We just released our native n8n integration!ยป Try now
OnlyFans API
Release Forms

Create Invitation Link

Create a new invitation link for release forms.

POST
/api/{account}/release-forms/create-invitation-link
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

Request Body

application/json

name*string

The name of the invitation link.

Response Body

application/json

application/json

curl -X POST "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXXXXXX/release-forms/create-invitation-link" \  -H "Content-Type: application/json" \  -d '{    "name": "Collab Sebastian - 24/7"  }'
{
  "data": {
    "id": 1196790,
    "type": "guest",
    "name": "Collab Sebastian - 24/7",
    "token": "YywCXZePu3wKcPYcId9UDsJu7w5LY56r",
    "date": "2026-03-10T12:15:03+00:00",
    "invitationUrl": "https://onlyfans.com?rfguesttoken=YywCXZePu3wKcPYcId9UDsJu7w5LY56r",
    "user": {
      "view": "t",
      "id": 30797435,
      "name": "Jessie",
      "username": "jessieromero7",
      "isVerified": true,
      "isDeleted": false,
      "isActive": true,
      "avatar": "https://public.onlyfans.com/files/example/avatar.jpg",
      "avatarThumbs": {
        "c50": "https://thumbs.onlyfans.com/public/files/thumbs/c50/example/avatar.jpg",
        "c144": "https://thumbs.onlyfans.com/public/files/thumbs/c144/example/avatar.jpg"
      }
    }
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 999999839,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 10000000,
      "limit_day": 50000,
      "remaining_minute": 9999999,
      "remaining_day": 49997
    }
  }
}
{
  "error": "ONLYFANS_COM_ERROR",
  "message": "Bad Request - The request could not be understood by the server.",
  "description": "This error happened most probably because of a bug in the OnlyFans.com API or you sent wrong parameters (like a non-existing user id).",
  "onlyfans_response": {
    "status": 400,
    "body": {
      "error": {
        "code": 0,
        "message": "Name already in use"
      },
      "errors": {
        "name": [
          "Name already in use"
        ]
      }
    }
  }
}